RGB_TO_BW(3)

NAME
rgb_to_bw - convert a color scanline to black and white.

SYNOPSIS
#include <rle.h>

void rgb_to_bw( red, green, blue, bw, length );
rle_pixel * red, * green, * blue, *bw;
int length;

DESCRIPTION
rgb_to_bw converts red/green/blue color information to black and white using the NTSC Y transform:
Y = 0.30 * R + 0.59 * G + 0.11 * B . The arguments point to scanlines with length bytes in each. bw may be identical to one of red, green, or blue.

SEE ALSO
tobw(1), librle(3), RLE(5).

AUTHOR
Spencer W. Thomas
University of Utah